Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text.source
Interface IVerticalRulerListener

All Known Implementing Classes:
  SelectAnnotationRulerAction

public interface IVerticalRulerListener

Interface for listening to annotation related events happening on a vertical ruler.

This interface may be implemented by clients.

Since:
  3.0

Method Summary
`void` | `annotationContextMenuAboutToShow(VerticalRulerEvent event, Menu menu)` Called when the context menu is opened on an annotation in the vertical ruler.
`void` | `annotationDefaultSelected(VerticalRulerEvent event)` Called when a default selection occurs on an annotation in the vertical ruler.
`void` | `annotationSelected(VerticalRulerEvent event)` Called when an annotation is selected in the vertical ruler.

Method Detail

### annotationSelected

    public void annotationSelected(VerticalRulerEvent event)

  Called when an annotation is selected in the vertical ruler.

  Parameters:
    `event` - the annotation event that occurred

### annotationDefaultSelected

    public void annotationDefaultSelected(VerticalRulerEvent event)

  Called when a default selection occurs on an annotation in the vertical ruler.

  Parameters:
    `event` - the annotation event that occurred

### annotationContextMenuAboutToShow

    public void annotationContextMenuAboutToShow(VerticalRulerEvent event,
                                                 Menu menu)

  Called when the context menu is opened on an annotation in the vertical ruler.

  Parameters:
    `event` - the annotation event that occurred
    `menu` - the menu that is about to be shown

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.